【活用ガイド】

[English]

JVNDB-2013-000040

web2py のソーシャルブックマークウィジェットにおけるクロスサイトスクリプティングの脆弱性

概要

web2py が提供するソーシャルブックマークウィジェット (share.js) には、クロスサイトスクリプティングの脆弱性が存在します。

web2py は、ウェブアプリケーションを作成、デザインするためのフレームワークです。web2py が提供するソーシャルブックマークウィジェットには、クロスサイトスクリプティングの脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 株式会社Everforth 小菅 祐史 氏

CVSS による深刻度 (CVSS とは?)

基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


web2py
  • web2py 2.3.1 より前のバージョンに同梱されている share.js ウィジェット

上記のウィジェットを使用した web2py アプリケーションが本脆弱性の影響を受けます。
想定される影響

share.js を使用する web2py アプリケーションにアクセスした場合、ユーザのウェブブラウザ上で任意のスクリプトが実行される可能性があります。
対策

[アップデートし、share.js ファイルを置き換える]
開発者が提供する情報をもとに、最新版へアップデートし、各アプリケーションが使用している share.js を置き換えてください。
ベンダ情報

web2py
CWEによる脆弱性タイプ一覧  CWEとは?

  1. クロスサイトスクリプティング(CWE-79) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2013-2311
参考情報

  1. JVN : JVN#10461119
  2. National Vulnerability Database (NVD) : CVE-2013-2311
更新履歴

[2013年05月20日]
  掲載